Index: src/Fragmentation/Exporters/ExportGraph.cpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph.cpp	(revision de0af277f13a3ac53d2d96963e46ad3c1326ef1f)
+++ src/Fragmentation/Exporters/ExportGraph.cpp	(revision de0af277f13a3ac53d2d96963e46ad3c1326ef1f)
@@ -0,0 +1,47 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2011 University of Bonn. All rights reserved.
+ *
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * ExportGraph.cpp
+ *
+ *  Created on: 08.03.2012
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "ExportGraph.hpp"
+
+/** Constructor for class ExportGraph.
+ *
+ * @param _graph
+ */
+ExportGraph::ExportGraph(const Graph &_graph) :
+	TotalGraph(graph)
+{
+
+}
Index: src/Fragmentation/Exporters/ExportGraph.hpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph.hpp	(revision de0af277f13a3ac53d2d96963e46ad3c1326ef1f)
+++ src/Fragmentation/Exporters/ExportGraph.hpp	(revision de0af277f13a3ac53d2d96963e46ad3c1326ef1f)
@@ -0,0 +1,33 @@
+/*
+ * ExportGraph.hpp
+ *
+ *  Created on: 08.03.2012
+ *      Author: heber
+ */
+
+#ifndef EXPORTGRAPH_HPP_
+#define EXPORTGRAPH_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Fragmentation/Graph.hpp"
+
+/** ExportGraph is an interface definition of a class that takes a fragmented
+ * system contained in an instance of Graph and exports it to some place else.
+ */
+class ExportGraph
+{
+public:
+	ExportGraph(const Graph &_graph);
+	~ExportGraph();
+
+	virtual void operator()()=0;
+
+private:
+	const Graph &TotalGraph;
+};
+
+#endif /* EXPORTGRAPH_HPP_ */
Index: src/Fragmentation/Exporters/ExportGraph_ToFiles.cpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph_ToFiles.cpp	(revision de0af277f13a3ac53d2d96963e46ad3c1326ef1f)
+++ src/Fragmentation/Exporters/ExportGraph_ToFiles.cpp	(revision de0af277f13a3ac53d2d96963e46ad3c1326ef1f)
@@ -0,0 +1,77 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2012 University of Bonn. All rights reserved.
+ *
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * ExportGraph_ToFiles.cpp
+ *
+ *  Created on: 08.03.2012
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "ExportGraph_ToFiles.hpp"
+
+#include "CodePatterns/Log.hpp"
+#include "Fragmentation/Graph.hpp"
+#include "Fragmentation/KeySet.hpp"
+#include "MoleculeListClass.hpp"
+#include "World.hpp"
+
+/** Constructor for class ExportGraph_ToFiles.
+ *
+ * @param _graph instance of Graph containing keyset of each fragment
+ */
+ExportGraph_ToFiles::ExportGraph_ToFiles(const Graph &_graph) :
+		ExportGraph(_graph)
+{}
+
+/** Actual implementation of the export to files function.
+ *
+ */
+void ExportGraph_ToFiles::operator ()()
+{
+}
+
+/** Internal helper to create from each keyset a molecule
+ *
+ */
+void ExportGraph_ToFiles::prepareMolecule()
+{
+  // allocate memory for the pointer array and transmorph graphs into full molecular fragments
+  MoleculeListClass *BondFragments = new MoleculeListClass(World::getPointer());
+  size_t count = 0;
+  for(Graph::iterator runner = TotalGraph.begin(); runner != TotalGraph.end(); runner++) {
+    KeySet test = (*runner).first;
+    LOG(2, "DEBUG: Fragment No." << (*runner).second.first << " with TEFactor "
+    		<< (*runner).second.second << ".");
+    BondFragments->insert(StoreFragmentFromKeySet(test, World::getInstance().getConfig()));
+    ++count;
+  }
+  LOG(1, "INFO: " << count << "/" << BondFragments->ListOfMolecules.size()
+  		<< " fragments generated from the keysets.");
+}
Index: src/Fragmentation/Exporters/ExportGraph_ToFiles.hpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph_ToFiles.hpp	(revision de0af277f13a3ac53d2d96963e46ad3c1326ef1f)
+++ src/Fragmentation/Exporters/ExportGraph_ToFiles.hpp	(revision de0af277f13a3ac53d2d96963e46ad3c1326ef1f)
@@ -0,0 +1,29 @@
+/*
+ * ExportGraph_ToFiles.hpp
+ *
+ *  Created on: 08.03.2012
+ *      Author: heber
+ */
+
+#ifndef EXPORTGRAPH_TOFILES_HPP_
+#define EXPORTGRAPH_TOFILES_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Fragmentation/Exporters/ExportGraph.hpp"
+
+/** ExportGraph_ToFiles implements an ExportGraph as storing all fragmentary
+ * systems to files.
+ */
+class ExportGraph_ToFiles : public ExportGraph
+{
+public:
+	ExportGraph_ToFiles();
+
+	void operator()();
+};
+
+#endif /* EXPORTGRAPH_TOFILES_HPP_ */
Index: src/Fragmentation/Exporters/ExportGraph_ToJobs.cpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph_ToJobs.cpp	(revision de0af277f13a3ac53d2d96963e46ad3c1326ef1f)
+++ src/Fragmentation/Exporters/ExportGraph_ToJobs.cpp	(revision de0af277f13a3ac53d2d96963e46ad3c1326ef1f)
@@ -0,0 +1,37 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2011 University of Bonn. All rights reserved.
+ *
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * ExportGraph_ToJobs.cpp
+ *
+ *  Created on: 08.03.2012
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "Exporters/ExportGraph_ToJobs.hpp"
Index: src/Fragmentation/Exporters/ExportGraph_ToJobs.hpp
===================================================================
--- src/Fragmentation/Exporters/ExportGraph_ToJobs.hpp	(revision de0af277f13a3ac53d2d96963e46ad3c1326ef1f)
+++ src/Fragmentation/Exporters/ExportGraph_ToJobs.hpp	(revision de0af277f13a3ac53d2d96963e46ad3c1326ef1f)
@@ -0,0 +1,30 @@
+/*
+ * ExportGraph_ToJobs.hpp
+ *
+ *  Created on: 08.03.2012
+ *      Author: heber
+ */
+
+#ifndef EXPORTGRAPH_TOJOBS_HPP_
+#define EXPORTGRAPH_TOJOBS_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Fragmentation/Exporters/ExportGraph.hpp"
+
+/** ExportGraph_ToJobs implements an ExportGraph by sending the created
+ * configurations of fragmentary systems as jobs to a server.
+ *
+ */
+class ExportGraph_ToJobs : public ExportGraph
+{
+public:
+	ExportGraph_ToJobs();
+
+	void operator()();
+};
+
+#endif /* EXPORTGRAPH_TOJOBS_HPP_ */
